export const LOGIN = {
  REQUEST: 'LOGIN/REQUEST',
  SUCCESS: 'LOGIN/SUCCESS',
  ERROR: 'LOGIN/ERROR',
  REQUEST_ACCESS_TOKEN: 'LOGIN/REQUEST_ACCESS_TOKEN',
  SUCCESS_ACCESS_TOKEN: 'LOGIN/SUCCESS_ACCESS_TOKEN'
};

export const SIGN_UP = {
  REQUEST: 'SIGN_UP/REQUEST',
  SUCCESS: 'SIGN_UP/SUCCESS',
  ERROR: 'SIGN_UP/ERROR',
};

export const GET_PRODUCTS = {
    REQUEST: 'GET_PRODUCTS/REQUEST',
    SUCCESS: 'GET_PRODUCTS/SUCCESS',
    ERROR: 'GET_PRODUCTS/ERROR',
  };

  export const GET_PRODUCTS_TYPE = {
    REQUEST: 'GET_PRODUCTS_TYPE/REQUEST',
    SUCCESS: 'GET_PRODUCTS_TYPE/SUCCESS',
    ERROR: 'GET_PRODUCTS_TYPE/ERROR',
  };

  export const GET_TYPE = {
    REQUEST: 'GET_TYPE/REQUEST',
    SUCCESS: 'GET_TYPE/SUCCESS',
    ERROR: 'GET_TYPE/ERROR',
  };

  export const GET_NEWS_DAILY = {
    REQUEST: 'GET_NEWS_DAILY/REQUEST',
    SUCCESS: 'GET_NEWS_DAILY/SUCCESS',
    ERROR: 'GET_NEWS_DAILY/ERROR',
  };

  export const GET_NEWS_EVENT = {
    REQUEST: 'GET_NEWS_EVENT/REQUEST',
    SUCCESS: 'GET_NEWS_EVENT/SUCCESS',
    ERROR: 'GET_NEWS_EVENT/ERROR',
  };

  export const GET_USERINFO = {
    REQUEST: 'GET_USERINFO/REQUEST',
    SUCCESS: 'GET_USERINFO/SUCCESS',
    ERROR: 'GET_USERINFO/ERROR',
  };

  export const GET_ADDRESS = {
    REQUEST: 'GET_ADDRESS/REQUEST',
    SUCCESS: 'GET_ADDRESS/SUCCESS',
    ERROR: 'GET_ADDRESS/ERROR',
  };

  export const REQUEST_CART = {
    INIT_CART: 'INIT_CART',
    GET_CART: 'GET_CART',
    UPDATE_CART: 'UPDATE_CART',
    CLEAN_CART: 'CLEAN_CART'
  };

  export const GET_BRANDS = {
    REQUEST: 'GET_BRANDS/REQUEST',
    SUCCESS: 'GET_BRANDS/SUCCESS',
    ERROR: 'GET_BRANDS/ERROR',
  };
  export const GET_PRODUCTS_BRAND = {
    REQUEST: 'GET_PRODUCTS_BRAND/REQUEST',
    SUCCESS: 'GET_PRODUCTS_BRAND/SUCCESS',
    ERROR: 'GET_PRODUCTS_BRAND/ERROR',
  };
  export const GET_TYPES_BRAND = {
    REQUEST: 'GET_TYPES_BRAND/REQUEST',
    SUCCESS: 'GET_TYPES_BRAND/SUCCESS',
    ERROR: 'GET_TYPES_BRAND/ERROR',
  };

  export const GET_HISTORY = {
    REQUEST: 'GET_HISTORY/REQUEST',
    SUCCESS: 'GET_HISTORY/SUCCESS',
    ERROR: 'GET_HISTORY/ERROR',
  };

  export const GET_REWARD = {
    REQUEST: 'GET_REWARD/REQUEST',
    SUCCESS: 'GET_REWARD/SUCCESS',
    ERROR: 'GET_REWARD/ERROR',
  };
